Skip to main content
GET
/
v2
/
{entity}
/
{project}
/
evaluation_runs
/
{evaluation_run_id}
Evaluation Run Read
curl --request GET \
  --url https://api.example.com/v2/{entity}/{project}/evaluation_runs/{evaluation_run_id}
import requests

url = "https://api.example.com/v2/{entity}/{project}/evaluation_runs/{evaluation_run_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v2/{entity}/{project}/evaluation_runs/{evaluation_run_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "evaluation_run_id": "<string>",
  "evaluation": "<string>",
  "model": "<string>",
  "status": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "summary": {},
  "source_evaluation_run_id": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Path Parameters

entity
string
required
project
string
required
evaluation_run_id
string
required

Response

Successful Response

evaluation_run_id
string
required

The evaluation run ID

evaluation
string
required

Reference to the evaluation (weave:// URI)

model
string
required

Reference to the model (weave:// URI)

status
string | null

Status of the evaluation run

started_at
string<date-time> | null

When the evaluation run started

finished_at
string<date-time> | null

When the evaluation run finished

summary
Summary · object | null

Summary data for the evaluation run

source_evaluation_run_id
string | null

Source evaluation run ID if this run was created by rescoring